DCMTK - Feature #229

TIFF-LZW-Erkennung funktioniert nicht (auf Solaris 10)
2005-06-20 00:00 - Marco Eichelberg

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Estimated time: 0:00 hour

Target version:

Module: configure Compiler:

Operating System:

Description

configure auf Solaris 10 glaubt falschlicherweise, TIFF-LZW wirde funktionieren,
weil die libtiff nur eine Warnung ausgibt und ein unkomprimiertes Bild schreibt,
aber keinen Fehler zuriickliefert. Grind. Man wird hier wohl auch die Warnung
irgendwie auswerten missen, ggf. iber Shell-Code, der in stderr oder stdout
sucht. Alternative: GroBe der Bilddatei im Testprogramm Uberpriifen, Fehler
generieren, wenn Bild zu grof3, um komprimiert zu sein.

History

#1 - 2017-05-26 16:52 - Marco Eichelberg

- Description updated

The last patent affecting the LZW compression algorithm has expired in 2004. Therefore, there is no reason anymore to ship a libtiff without LZW
support (which was optional only because of the patent issue). Therefore, the test for LZW support in libtiff is obsolete and should be removed.

#2 - 2018-12-12 13:05 - Marco Eichelberg

Apparently all libtiff versions starting with 3.7.0 have LZW support re-enabled by default, since they were published after the expiry of the LZW
patents. DCMTK requires libtiff 3.7.4 or newer, so there is no need for an LZW test anyway.

#3 - 2018-12-12 13:08 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #9a3d2875a on 2018-12-12.
